Update a payment and continue processing

Use this to handle a redirect response, updating the transaction and continuing processing.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Gateway transaction identifier as returned in the parameter ipgTransactionId or merchantTransactionId. In case you want to use the merchantTransactionId to query the transaction status use this format: .../payments/merchantTransactionId= This is applicable for other scenarios as well, such as void, refund or other secondary transactions.

Body Params

Accepted request types: Secure3DInitiateRequest, Secure3DAuthenticationUpdateRequest, Secure3D10AuthenticationUpdateRequest and Secure3D21AuthenticationUpdateRequest.

Provides shared fields for all AuthenticationUpdateRequest types. Abstract class, do not use this class directly, use one of its children.

string
length ≤ 20

An optional Outlet ID for clients that support multiple stores in the same developer app.

string
required

Object name of the authentication update request.

billingAddress
object

Address information that is passed to the issuer (it may appear on the cardholder’s statement) or if merchant wants to pass information that differs from the information stored on our master file.

authenticationRequest
object
required

Request authentication of the payment card to verify the cardholder and be eligible for liability shift. An AuthenticationRequest should not be submitted with in the same request as an AuthenticationResult. Abstract class, do not use this class directly, use one of its children.

Headers
string
enum
required
Defaults to application/json

Content type.

Allowed:
string
required

A client-generated ID for request tracking and signature creation, unique per request. This is also used for idempotency control. We recommend 128-bit UUID format.

string
required

Key given to merchant after boarding associating their requests with the appropriate app in Apigee.

int64
required

Epoch timestamp in milliseconds in the request from a client system. Used for Message Signature generation and time limit (5 mins).

string
required

Used to ensure the request has not been tampered with during transmission. The Message-Signature is the Base64 encoded HMAC hash (SHA256 algorithm with the API Secret as the key.) For more information, refer to the supporting documentation on the Developer Portal.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
Want a quick overview?